Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006379 [JEDI VCL] 04 Feature Request feature always 2015-01-29 13:46 2015-09-21 17:47
Reporter npravdin View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006379: Select Encoding in LoadFromCSV & SaveToCSV functions
Description There is no unicode support in LoadFromCSV & SaveToCSV functions. I wrote an unit that extends TJvStringGrid class:

type
  TJvStringGridMod = class(TJvStringGrid)
  public
    procedure LoadFromCSV(const FileName: string{$IFDEF UNICODE};
      Encoding: TEncoding{$ENDIF}; Separator: Char = ';'; QuoteChar: Char = '"';
      StripQuotes: Boolean = True);
    procedure SaveToCSV(const FileName: string{$IFDEF UNICODE};
      Encoding: TEncoding{$ENDIF}; Separator: Char = ';'; QuoteChar: Char = '"');
  end;

Please see the attachment.
Additional Information
Tags No tags attached.
Attached Files ? file icon uJVStringGridMod.pas [^] (3,955 bytes) 2015-01-29 13:46

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2015-01-29 13:46 npravdin New Issue
2015-01-29 13:46 npravdin File Added: uJVStringGridMod.pas
2015-09-14 11:21 obones Status new => acknowledged
2015-09-14 13:14 obones Status acknowledged => resolved
2015-09-14 13:14 obones Fixed in Version => Daily / GIT
2015-09-14 13:14 obones Resolution open => fixed
2015-09-14 13:14 obones Assigned To => obones
2015-09-21 17:47 obones Fixed in Version Daily / GIT => 3.49


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker